> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

### GET /locations/:location\_id/appointments

This endpoint retrieves appointments for a specific location.

#### Parameters

* location\_id (required): The ID of the location for which patients are to be retrieved.
* after: A parameter to specify the cursor for pagination.
* items: A parameter to specify the number of items to be returned.
* The `q[fetch_modified_since]` is used to capture the delta changes, pass the datetime in UTC as shown in example below

```json theme={null}
{
    "q": {
        "fetch_modified_since": "2025-12-02T01:58:00.164Z"
    }
}
```

#### Response

* Content-Type: application/json

```json theme={null}
{
    "data": [
        {
            "id": "5102939",
            "type": "appointment",
            "attributes": {
                "status": "scheduled",
                "deleted": false,
                "updated_at": "2026-04-08T08:54:28.539Z",
                "appointment_type_id": 2,
                "operatory_id": null,
                "provider_id": 63,
                "duration": 60,
                "patient_id": 3827685,
                "date": "2026-04-01T11:30:00.000Z",
                "amount": 49,
                "booking_date": "2023-07-13T00:00:00.000Z",
                "completed_at": null
            }
        }
    ],
    "pagy": {
        "total": 1,
        "items": 1
    }
}
```
